<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
>
<h:head>
    <title>Inetum web shop</title>
    <h:outputStylesheet name="inetum-house-style.css"/>
</h:head>
<h:body>
    <header>
        <h1>
            <h:link value="Inetum Web Shop" outcome="/store.xhtml"/>
        </h1>
        <div>
            <h:link value="Log in"
                    rendered="#{empty request.userPrincipal}"
                    outcome="/profile.xhtml"/>
            <h:form rendered="#{not empty request.userPrincipal}">
                <h:commandButton value="Log out"
                                 action="#{logoutBean.logout(request)}"/>
            </h:form>
        </div>
    </header>
    <main>
        <aside>
            <h:link value="Shop" outcome="/store.xhtml"/>
            <h:link value="People" rendered="#{request.isUserInRole('Admin')}" outcome="/people.xhtml"/>
        </aside>
        <article>
            <ui:insert name="content"/>
        </article>
    </main>
    <footer>
        Please like and subscribe
    </footer>
</h:body>
</html>
